HAServiceProtocol.HAServiceState (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.ha, interface: HAServiceProtocol, enum: HAServiceState

Package org.apache.hadoop.ha

# Enum Class HAServiceProtocol.HAServiceState

java.lang.Object
java.lang.Enum<HAServiceProtocol.HAServiceState>
org.apache.hadoop.ha.HAServiceProtocol.HAServiceState

All Implemented Interfaces:
  `Serializable`, `Comparable<HAServiceProtocol.HAServiceState>`, `Constable`

Enclosing interface:
  HAServiceProtocol

public static enum HAServiceProtocol.HAServiceState extends Enum<HAServiceProtocol.HAServiceState>
An HA service may be in active or standby state. During startup, it is in an unknown INITIALIZING state. During shutdown, it is in the STOPPING state and can no longer return to active/standby states.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACTIVE`
  `INITIALIZING`
  `OBSERVER`
  `STANDBY`
  `STOPPING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `static HAServiceProtocol.HAServiceState`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HAServiceProtocol.HAServiceState[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INITIALIZING

    public static final HAServiceProtocol.HAServiceState INITIALIZING

  - ### ACTIVE

    public static final HAServiceProtocol.HAServiceState ACTIVE

  - ### STANDBY

    public static final HAServiceProtocol.HAServiceState STANDBY

  - ### OBSERVER

    public static final HAServiceProtocol.HAServiceState OBSERVER

  - ### STOPPING

    public static final HAServiceProtocol.HAServiceState STOPPING

- ## Method Details

  - ### values

    public static HAServiceProtocol.HAServiceState[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HAServiceProtocol.HAServiceState valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<HAServiceProtocol.HAServiceState>`